# Poco::Crypto

# class EncryptingInputStream

Library: Crypto
Package: Cipher
Header: Poco/Crypto/CryptoStream.h

## Description

This stream encrypts all data passing through it using the given Cipher.

## Inheritance

Direct Base Classes: CryptoIOS, std::istream

All Base Classes: CryptoIOS, std::ios, std::istream

## Member Summary

Inherited Functions: rdbuf

## Constructors

### EncryptingInputStream

EncryptingInputStream(
std::istream & istr,
Cipher & cipher,
std::streamsize bufferSize = 8192
);

Create a new EncryptingInputStream object using the given cipher.

## Destructor

### ~EncryptingInputStream

~EncryptingInputStream();

Destroys the EncryptingInputStream.